- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libmspub::CharacterStyle Struct Reference

`#include <MSPUBTypes.h>`

## Public Member Functions
| CharacterStyle ()
| CharacterStyle (bool u, bool i, bool b, boost::optional< double > tSIP=boost::optional< double >(), int cI=-1, boost::optional< unsigned > fI=boost::optional< unsigned >(), SuperSubType sst=NO_SUPER_SUB)

## Public Attributes
bool | underline
bool | italic
bool | bold
boost::optional< double > | textSizeInPt
int | colorIndex
boost::optional< unsigned > | fontIndex
SuperSubType | superSubType

## Constructor & Destructor Documentation

libmspub::CharacterStyle::CharacterStyle | ( |  | ) |
| inline

libmspub::CharacterStyle::CharacterStyle | ( | bool | u,
|  | bool | i,
|  | bool | b,
|  | boost::optional< double > | tSIP = `boost::optional<double>()`,
|  | int | cI = `-1`,
|  | boost::optional< unsigned > | fI = `boost::optional<unsigned>()`,
|  | SuperSubType | sst = `NO_SUPER_SUB`
| ) |  |
| inline

## Member Data Documentation

bool libmspub::CharacterStyle::bold

Referenced by libmspub::MSPUBCollector::getCharStyleProps().

int libmspub::CharacterStyle::colorIndex

Referenced by libmspub::MSPUBCollector::getCharStyleProps().

boost::optional<unsigned> libmspub::CharacterStyle::fontIndex

Referenced by libmspub::MSPUBCollector::getCharStyleProps().

bool libmspub::CharacterStyle::italic

Referenced by libmspub::MSPUBCollector::getCharStyleProps().

SuperSubType libmspub::CharacterStyle::superSubType

Referenced by libmspub::MSPUBCollector::getCharStyleProps().

boost::optional<double> libmspub::CharacterStyle::textSizeInPt

Referenced by libmspub::MSPUBCollector::getCharStyleProps().

bool libmspub::CharacterStyle::underline

Referenced by libmspub::MSPUBCollector::getCharStyleProps().

The documentation for this struct was generated from the following file:

- MSPUBTypes.h